<?php



function post_url($url, $data, $opts=array()) {
    $ch = curl_init($url);
    
    if (isset($opts['headers'])) {
        curl_setopt($ch, CURLOPT_HTTPHEADER, $opts['headers']);
    }
    
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
    if (isset($opts['customrequest']) && $opts['customrequest']) {
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $opts['customrequest']);
    }
    
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    
    $r = curl_exec($ch);
    
    curl_close($ch);
    
    return $r;
}

