<?php

session_start();

require_once __DIR__.'/functions.php';


$redirect_uri = 'https://localsd.localhost/';
$client_id = '....';
$client_secret = '...H';


if (count($_REQUEST) == 0) {
    startauth();
}
else if (isset($_REQUEST['code'])) {
//    die('halt, code ontvangen');
    
    $r = requestToken( $_REQUEST['code'] );
    
    header('Content-type: text/plain');
    var_export( $r );
    
    $_SESSION['exact'] = $r;
}
else {
    print "Error?";
}



function startauth() {
    global $client_id, $redirect_uri;
    
    $params = array();
    $params['client_id']     = $client_id;
    $params['redirect_uri']  = $redirect_uri;
    $params['response_type'] = 'code';
    $params['force_login']   = 1;
    $url = 'https://start.exactonline.nl/api/oauth2/auth?' . http_build_query($params);
    
//    print $url;exit;
    
    header('Location: '.$url);
    exit;
}


function requestToken( $code ) {
    global $redirect_uri, $client_id, $client_secret;
    
    $data = array(
        'code'          => $code,
        'redirect_uri'  => $redirect_uri,
        'grant_type'    => 'authorization_code',
        'client_id'     => $client_id,
        'client_secret' => $client_secret
    );
    
    $api_oauth_token = 'https://start.exactonline.nl/api/oauth2/token';
    $result = post_url( $api_oauth_token, $data );
    $json = json_decode($result);
    
    return $json;
}



